summaryrefslogtreecommitdiffstats
path: root/fuel-plugin/pre_build_hook
diff options
context:
space:
mode:
Diffstat (limited to 'fuel-plugin/pre_build_hook')
-rwxr-xr-xfuel-plugin/pre_build_hook31
1 files changed, 31 insertions, 0 deletions
diff --git a/fuel-plugin/pre_build_hook b/fuel-plugin/pre_build_hook
new file mode 100755
index 000000000..9446d2a1a
--- /dev/null
+++ b/fuel-plugin/pre_build_hook
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+set -eux
+
+BUILD_FOR=${BUILD_FOR:-ubuntu}
+DIR="$(dirname `readlink -f $0`)"
+
+function build_pkg {
+ case $1 in
+ ubuntu)
+ rm -rf ${DIR}/repositories/ubuntu; mkdir -p ${DIR}/repositories/ubuntu
+
+ # don't support online installation now
+ # cd ${DIR}/repositories/ubuntu
+ # Use aptititude; apt-get -d will skip download if package is already installed
+ # sudo apt-get install aptitude -y
+ # Download python packages into the repository
+ # aptitude download python-virtualenv python-dev libffi-dev libssl-dev
+
+ cd ${DIR}/..
+ tar -czf ${DIR}/repositories/ubuntu/yardstick.tar.gz . --exclude=yardstick.tar.gz
+ ;;
+
+ *) echo "Not supported system"; exit 1;;
+ esac
+}
+
+for system in $BUILD_FOR
+do
+ build_pkg $system
+done